@import '~sanitize.css/sanitize';


* {
  font-family: "Noto Sans", sans;
  font-weight: 400;
}

html,
body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

a {
  color: $color-accent-dark;
  &:hover { color: $color-accent-dark; text-decoration: underline; }
  &:visited { color: $color-accent-dark; }
}


button {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: unset;
  min-width: unset;

  outline: none;
  color: $color-text;

  transition: color 0.1s ease;
  transition: background-color 0.1s ease;

  background-color: $color-primary;
  &:hover { background-color: $color-primary-light; cursor: pointer; }
  &:active { background-color: $color-primary-light; }
  &.is-selected { background-color: $color-primary-light; }
}


label {
  display: block;
  color: #757575;

  &.with-accent { color: $color-primary; }
  &.for-checkbox { margin: 8px 0px; }
}

input[type='text'] {
  color: black;
  width: 100%;
  display: block;
  border-bottom: 2px solid $color-background;
  padding: 4px 0px;
  outline: none;

  transition:
    color 0.25s ease,
    border-color 0.25s ease;

  &:focus { border-color: $color-primary; }
}

input[type='checkbox'] {
  display: none;
  margin: 8px 0px;

  & + span {
    display: inline-block;
    width: 24px;
    height: 24px;
    margin: auto;
    margin-right: 8px;

    position: relative;
    top: 5px;

    border: 2px solid $color-background;
    border-radius: 4px;
    background-color: $color-text;

    transition:
      background-color 0.25s ease,
      border-color 0.25s ease;

    &:after {
      color: transparent;
      position: absolute;
      content: 'check';
      font-family: 'Material Icons';
      font-size: 20px;
      line-height: 1;

      transition:
        color 0.25s ease;
    }
  }

  &:checked + span {
    border-color: $color-primary;
    background-color: $color-primary;

    &:after { color: $color-text; }
  }
}
